---
title: HTMLImageElement.y
slug: Web/API/HTMLImageElement/y
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The read-only {{domxref("HTMLImageElement")}} property <code><strong>y</strong></code> indicates the y-coordinate of the {{HTMLElement("img")}} element's top border edge relative to the root element's origin.</span></p>

<p>The {{domxref("HTMLImageElement.x", "x")}} and <code>y</code> properties are only valid for an image if its {{cssxref("display")}} property has the computed value <code>table-column</code> or <code>table-column-group</code>. In other words: it has either of those values set explicitly on it, or it has inherited it from a containing element, or by being located within a column described by either {{HTMLElement("col")}} or {{HTMLElement("colgroup")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>imageY</em> = <em>htmlImageElement</em>.y;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating the distance in pixels from the top edge of the element's nearest root element to the top edge of the {{HTMLElement("img")}} element's border box. The nearest root element is the outermost {{HTMLElement("html")}} element that contains the image. If the image is in an {{HTMLElement("iframe")}}, its <code>y</code> is relative to that frame.</p>

<p>In the diagram below, the top border edge is the top edge of the blue padding area. So the value returned by <code>y</code> would be the distance from that point to the top edge of the content area.</p>

<p><img alt="Diagram showing the relationships between the various boxes associated with an element" src="https://mdn.mozillademos.org/files/8685/boxmodel-(3).png" style="height: 384px; width: 548px;"></p>

<div class="notecard note">
<p><strong>Note:</strong> The <code>y</code> property is only valid if the computed value of the image's {{cssxref("display")}} property is either <code>table-column</code> or <code>table-column-group</code>; in other words, either of those are set directly on the {{HTMLElement("img")}} or they're inherited from a containing element or by being located within a column described by either {{HTMLElement("col")}} or {{HTMLElement("colgroup")}}.</p>
</div>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/HTMLImageElement/x", "Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM View', '#dom-htmlimageelement-y', 'HTMLImageElement.y')}}</td>
   <td>{{Spec2('CSSOM View')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLImageElement.y")}}</p>
